Skip to main content
GET
/
api
/
metastore
/
classify
/
results
/
{correlation_id}
Get classification result
curl --request GET \
  --url https://api.example.com/api/metastore/classify/results/{correlation_id} \
  --header 'Authorization: Bearer <token>'
{
  "correlation_id": "<string>",
  "status": "<string>",
  "result": {
    "table": {
      "table_fqn": "<string>",
      "classifications": [
        "<string>"
      ],
      "confidence": 0,
      "rationale": "",
      "suggested_description": "",
      "suggested_glossary_terms": [
        {
          "term_name": "<string>",
          "term_description": "",
          "is_existing": false,
          "term_urn": "<string>"
        }
      ],
      "suggested_tags": [
        "<string>"
      ]
    },
    "columns": [
      {
        "column_name": "<string>",
        "classifications": [
          "<string>"
        ],
        "confidence": 0,
        "rationale": "",
        "suggested_description": "",
        "suggested_glossary_terms": [
          {
            "term_name": "<string>",
            "term_description": "",
            "is_existing": false,
            "term_urn": "<string>"
          }
        ],
        "suggested_tags": [
          "<string>"
        ]
      }
    ]
  },
  "error": "<string>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

correlation_id
string
required

Correlation ID from classify request.

Response

Successful Response

API response for a classification result.

correlation_id
string
required
status
string
required
result
ClassificationResult · object

Complete classification output from the crew.

error
string | null